aboutsummaryrefslogtreecommitdiff
path: root/share/hoarder/pyenv/unix
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2020-11-28 16:03:54 -0300
committerSilvio Rhatto <rhatto@riseup.net>2020-11-28 16:03:54 -0300
commitbea8b1ca5aba62b81dc3e0a973b477d09d2604ee (patch)
treec8166e08705f780671407d6f344b1041d421d1f0 /share/hoarder/pyenv/unix
parentd8f55c1d72e0f51f2aaa2b619e8fce879b54f9f6 (diff)
downloadtrashman-bea8b1ca5aba62b81dc3e0a973b477d09d2604ee.tar.gz
trashman-bea8b1ca5aba62b81dc3e0a973b477d09d2604ee.tar.bz2
Feat: adds hoarder/pyenv
Diffstat (limited to 'share/hoarder/pyenv/unix')
-rwxr-xr-xshare/hoarder/pyenv/unix/install29
1 files changed, 29 insertions, 0 deletions
diff --git a/share/hoarder/pyenv/unix/install b/share/hoarder/pyenv/unix/install
new file mode 100755
index 0000000..b1b0579
--- /dev/null
+++ b/share/hoarder/pyenv/unix/install
@@ -0,0 +1,29 @@
+#!/usr/bin/env sh
+#
+# Install grab-site
+#
+
+# Parameters
+SHARE="$1"
+LIB="$2"
+
+# Include basic functions
+. $LIB/trashman/functions || exit 1
+. $LIB/trashman/debian || exit 1
+
+# Requirements
+trashman_apt_install_packages git
+
+# Setup pyenv from installer script
+#mkdir -p $HOME/.local/bin $HOME/.local/share
+#cd $HOME/.local/bin
+#wget https://raw.githubusercontent.com/pyenv/pyenv-installer/master/bin/pyenv-installer
+#chmod +x pyenv-installer
+#./pyenv-installer
+
+# Setup pyenv by cloning it's repository
+if [ ! -d "$HOME/.pyenv" ]; then
+ git clone https://github.com/pyenv/pyenv.git $HOME/.pyenv
+else
+ ( cd $HOME/.pyenv && git pull )
+fi